| MissingH-1.1.0.3: Large utility library | Source code | Contents | Index

Data.Tuple.Utils

Portability | portable
Stability | provisional
Maintainer | John Goerzen <jgoerzen@complete.org>

Contents

Extraction

Description
This module provides various helpful utilities for dealing with lists. Written by Neil Mitchell, http://www.cs.york.ac.uk/~ndm/
Synopsis

fst3 :: (a, b, c) -> a
snd3 :: (a, b, c) -> b
thd3 :: (a, b, c) -> c

Extraction

fst3 :: (a, b, c) -> a | Source

Take the first item out of a 3 element tuple

snd3 :: (a, b, c) -> b | Source

Take the second item out of a 3 element tuple

thd3 :: (a, b, c) -> c | Source

Take the third item out of a 3 element tuple
Produced by Haddock version 2.4.2